<?php
require('startinclude.php');
// aaaaaaaaaaaaa
$camara=parametro('camara', -1);
$ventanan=parametro('ventanan', 0);
$iuniquev=$_SERVER['REMOTE_ADDR']."_pf_".$ventanan;
if ($camara==-1) {
    $camara=@apc_fetch($iuniquev);
} else {
    apc_store($iuniquev, $camara);
}
if ($camara==0) {
    $anterior_num=apc_fetch('numero_de_camaras');
} else {
    $anterior_num=$camara-1;
}
if ($camara==apc_fetch('numero_de_camaras')) {
    $despues_num=0;
} else {
    $despues_num=$camara+1;
}
$anterior_c="<a href='wpanel_2.php?camara=".$anterior_num."&ventanan=$ventanan'>&lt;&lt;&lt;</a>&nbsp;&nbsp;&nbsp;";
$despues_c="&nbsp;&nbsp;&nbsp;<a href='wpanel_2.php?camara=".($despues_num)."&ventanan=$ventanan'>&gt;&gt;&gt;</a>";
// aaaaaaaaaaaaaa
setcookie('estado_camara'.$camara, 'panel');
obtener_login_nivel($nivel_usuario);
// comun para todos..
$camaras_actual=array();
$camaras=array();
leer_camaras($camaras,1);
/*echo "<pre>";
var_dump($camaras);
echo "</pre>";
*/
leer_camaras_actual($camaras_actual);
$totalcamaras=count($camaras);
$id_camara=$camaras[$camara]["id_camara"];


    $temp=array();
    // leer_temperatura($temp,$camara,$maxima,$minima,$estado,$nombre_sensor,$num_temp,$limite);
	leer_temperatura2(&$temp, $camara, $camaras_actual[$camara]["proceso_actual"], 0, 0);
	$valorrotacion="IZ";
	/*
	for ($e=0; $e < $temp["num_temp"]; $e++) {
		if ($temp[$e]["lecturadirtipo"]==2049) {
			$vrota=$camaras[$camara]["rotacion_valor"]-1;
			$valorr=$temp[$e]["t"];
			$valorrotacion="X";
			$valorrotacion=((pow(2,$vrota) & $valorr ) !=0)?"DE":$valorrotacion;
			$valorrotacion=((pow(2,$vrota+1) & $valorr ) !=0)?"IZ":$valorrotacion;		
		}
	}
	*/
	$panel_direccion=$camaras[$camara]["panel_direccion"]; // solamente usado para saber si esta definido.
	$panel_direccion2=$camaras[$camara]["panel_direccion2"];


	
// fin comun
?>
<head>
    <title> No title</title>
	<meta http-equiv="refresh" content="600"> 
    <META NAME = "ROBOTS" CONTENT = "NOINDEX, NOFOLLOW">
    <META NAME = "ROBOTS" CONTENT = "NOARCHIVE">
    <script type = 'text/javascript' src = 'ajaxlib/utils/southprojects.js'>
    </script>
    <script type = 'text/javascript' src = 'jscriptrpc.js'>
    </script>
    <script type = 'text/javascript' src = 'ajaxlib/utils/progress.js'>
    </script>
    <link href = 'style2.css' rel = 'stylesheet' type = 'text/css'>
    <style type = "text/css">
        .alerta
            {
            text-decoration: none;
            background-color: #CC0000;
            FONT-WEIGHT: bold;
            font-family: Tahoma, Verdana, Helvetica;
            font-size: 10px;
            }
        .offline
            {
            text-decoration: none;
            background-color: #CCC0C0;
            FONT-WEIGHT: normal;
            font-family: Tahoma, Verdana, Helvetica;
            font-size: 10px;
            }
        .ok
            {
            text-decoration: none;
            background-color: #FFFFFF;
            FONT-WEIGHT: normal;
            font-family: Tahoma, Verdana, Helvetica;
            font-size: 10px;
            }
    </style>
    <script type = "text/javascript">
        var loader;
        loader = new southprojects.Progress(
            {
            theme: 'default',
            themePath: "ajaxlib/spextra/themes/progress/"
            });
        function showespere()
            {
            loader.start('espere..');
            //setTimeout("loader.stop();", 4000);
            }
        function clickcheck(direccion)
            {
            fetchUrl(direccion, 'transportdiv')
            loader.start('espere..');
            }
        function clickcheck2(numero)
            {
            var direccion;
            direccion = document.getElementById('hid_' + numero).value;
            valor = document.getElementById('valor_' + numero).value;
            direccion =
                'wpanel_rpc_2.php?camara=<? echo $camara; ?>&id=' + numero + '&direccion=' + direccion + "&valor="
                + valor +"&ventilador=<? echo $valorrotacion; ?>";
            loader.start('espere ..');
            fetchUrl(direccion, 'transportdiv')
            }
        function clickcheck3(numero)
            {
            var direccion;
            direccion ="wpanel_rpc_2.php?camara=<? echo $camara; ?>&id=0&direccion=1280&valor="+numero+"&ventilador=<? echo $valorrotacion; ?>";
            loader.start('espere..');
            fetchUrl(direccion, 'transportdiv')
            }
			
    </script>
    <script type = "text/javascript">
        phprpc = 'wsensor_rpc.php';
        function setCookie(name, value, expires, path, domain, secure)
            {
            document.cookie = name + "=" + escape(value) + ((expires) ? "; expires=" + expires.toGMTString() : "")
                + ((path) ? "; path=" + path : "") + ((domain) ? "; domain=" + domain : "")
                + ((secure) ? "; secure" : "");
            }
        /**
         * Gets the value of the specified cookie.
         *
         * name  Name of the desired cookie.
         *
         * Returns a string containing value of specified cookie,
         *   or null if cookie does not exist.
         */
        function getCookie(name)
            {
            var dc = document.cookie;
            var prefix = name + "=";
            var begin = dc.indexOf("; " + prefix);
            if (begin == -1)
                {
                begin = dc.indexOf(prefix);
                if (begin != 0)
                    return null;
                }
            else
                {
                begin += 2;
                }
            var end = document.cookie.indexOf(";", begin);
            if (end == -1)
                {
                end = dc.length;
                }
            return unescape(dc.substring(begin + prefix.length, end));
            }
    </script>
</head>
<!--
<BODY  onload="javascript:
inicio_ciclo();
">
-->
<body>
    <div id = "transportdiv" name = 'transportdiv'
        style = "border-width:1px; border-color:rgb(0,0,240); border-style:solid; display: none;">
    </div>
    <?php
    /*
    
    $nsensores=array();
    
    */

	
	if ($panel_direccion!=0) {
		if ($valorrotacion=="DE" ) {
			
			List_Panel($obj, $id_camara);
			$titulo2="Listado de Panel (Derecha)";
		} else {
			if ($panel_direccion2==0) {
				List_Panel($obj, $id_camara);
				$titulo2="Listado de Panel.";				
			} else {
				List_Panel2($obj, $id_camara);
				$titulo2="Listado de Panel (Izquierda)";				
			}
		}
	}
    $estado_actual=$camaras_actual[$camara]["estado_actual"];
    if ($estado_actual=="V" or $estado_actual=="N") {
        $protegido="";
    } else {
        $protegido="";
    //$protegido="disabled=true ";
    }
    echo "<form name='f1' method='GET'>";
    echo "<table width=100%><tr><td width=100% align=center>";
    echo "<div id='body' width=600px>\n";
    echo "	<div id='content_fixed'>\n";
    echo "<div id=\"data_table\">\n";
    echo "			<h2 align='left'>$anterior_c".$camaras[$camara]["nombre_camara"]."$despues_c</h2>\n";
    echo "			<h3 align='left' >$titulo2</h3>		\n";
    echo "		\n";
    if ($panel_direccion==0) {
        echo "		<p align='center'>Esta camara no tiene un panel</p>";
    } else {
        echo "		<p align='center'><table id='table_1' align='center' width=600px >\n";
        echo "    <thead>\n";
        echo "        <td width='15%'   >direccion</td>\n";
        echo "        <td width='40%'   >nombre</td>\n";
        echo "        <td width='10%'   >cambiado</td>\n";
        echo "        <td width='10%'   >valor</td>\n";
        echo "        <td width='10%'   >valor_anterior</td>\n";
        echo "        <td width='15%'   >Modificar</td>\n";
        echo "    </thead><tbody>\n";
        $protegidos1="";
        for ($i=0; $i<count($obj); $i++) {
            if ($protegido) {
                $boton="&nbsp;";
            } else {
                $boton
                    ="<img src='images/ok.gif' onclick=\"	clickcheck2('$i');\" onmouseover=\"this.style.cursor='pointer'\" onmouseout=\"this.style.cursor='default'\">";
            }
            $clase=(($i%2)==0) ? "even" : "odd";
            echo "    <tr class=$clase>\n";
            echo "        <td  id='direccion$i' class='ok'  >".$obj[$i]["direccion"]."</td>\n";
            echo " <input type='hidden' id='hid_$i' value='".$obj[$i]["direccion"]."' />";
            echo "        <td  id='nombre$i' class='ok'  >".$obj[$i]["nombre"]."</td>\n";
            echo "        <td  id='cambiado$i' class='ok'  >".$obj[$i]["cambiado"]."</td>\n";
            echo "	<td  id='valorxx$i' class='ok'  > <input type='text' name='ivalorn$i' id='valor_$i' value='"
                .$obj[$i]["valor"]."' size='5' $protegidos1></td>\n";
            echo "        <td  id='valor_anterior$i' class='ok'  >".$obj[$i]["valor_anterior"]."</td>\n";
            echo "        <td  id='minmax$i'  $protegido>".$boton."</td>\n";
            echo "    </tr>\n";
        }
		?>
		<TR><td colspan=5 style='text-align:center;'><hr>
		<input type='button' onclick='clickcheck3(1);'  value="OFF" />&nbsp;&nbsp;&nbsp;
		<input type='button' onclick='clickcheck3(257);'  value="ON" />&nbsp;&nbsp;&nbsp;
		</td>
		</tr>
		<?
        // *******************
        echo "</tbody>\n";
        echo "</table></p>\n";
    }
    echo "</div><div>\n";
    echo "</div>\n";
    echo "</table>";
    echo "<br>";
    echo "<br>";
    echo "</form>";
    ?>
    <script type = "text/javascript">
        //document.getElementById('valor0').className='alerta';
        //window.parent.window.parent.document.getElementById('spWin0Container').className='spWinRedxpContainer';
    </script>
</BODY>